ovs-bugtool(8)

NAME
ovs-bugtool - Open vSwitch bug reporting utility

SYNOPSIS
ovs-bugtool

DESCRIPTION
Generates a debug bundle with useful information about Open vSwitch on this system and places it in /var/log/ovs-bugtool.

COLLECTION OPTIONS

These options influence what categories of data ovs-bugtool collects.

--entries=list
    Collect the capabilities specified in the comma-separated list.

--all
    Collect all available capabilities.

--ovs
    In addition to Open vSwitch configuration and status, ovs-bugtool can collect a variety of relevant system information. This option limits collection to Open vSwitch-specific categories.

--log-days=days
    Include the logs with last modification time in the previous days days in the debug bundle. The number of log files included has a big impact on the eventual bundle size. The default value is 20 days.

-y  Answer yes to all prompts.

--capabilities
    Writes the categories that ovs-bugtool can collect on stdout in XML, then exits.

OUTPUT OPTIONS

These options influence the format and destination of ovs-bugtool output.

--output=filetype
    Generates a debug bundle with the specified file type. Options include tar, tar.gz, tar.bz2, and zip.

--outfile=file
    Write output to file. Mutually exclusive with --outfd.

--outfd=fd
    Write output to file descriptor fd. This option must be used with --output=tar.

--unlimited
    Do not exclude files which are too large. Also skip checking free disk space. By default up to 90 percent of the free disk space can be used.

--debug
    Print verbose debugging output.

OTHER OPTIONS

-s  Suppress most output to stdout.

--help
    Print a summary of ovs-bugtool usage to stdout, then exit.

EXAMPLES

Here's a collection of some commonly useful options:

ovs-bugtool -y -s --output=tar.gz --outfile=/var/log/bugtool-report.tgz

BUGS
ovs-bugtool makes many assumptions about file locations and the availability of system utilities. It has been tested on Debian and Red Hat and derived distributions. On other distributions it is likely to be less useful.